POST /oauth/device/authorize
Device Authorize
REST API overview · OpenAPI JSON · OpenAPI YAML
| Stability | Authentication | Cost | Operation ID |
|---|---|---|---|
| Published | Client ID; HTTP Basic for confidential clients | Free | device_authorize_api_v1_oauth_device_authorize_post |
This operation has no path or query parameters.
Schema: inline
| Name | Required | Type | Description |
|---|---|---|---|
scope | Yes | string | — |
resource | No | string | null | — |
client_id | No | string | null | — |
curl --request POST \
--url "https://qveris.ai/api/v1/oauth/device/authorize" \
--data-urlencode 'client_id=YOUR_CLIENT_ID' \
--data-urlencode 'scope=openid offline_access' \
--data-urlencode 'resource=YOUR_REGISTERED_RESOURCE_URI'
const response = await fetch("https://qveris.ai/api/v1/oauth/device/authorize", {
method: "POST",
body: new URLSearchParams(Object.entries({
"client_id": "YOUR_CLIENT_ID",
"scope": "openid offline_access",
"resource": "YOUR_REGISTERED_RESOURCE_URI"
}).map(([key, value]) => [key, String(value)])),
})
if (!response.ok) throw new Error(`QVeris request failed: ${response.status}`)
console.log(await response.json())
import json
import requests
response = requests.request(
"POST",
"https://qveris.ai/api/v1/oauth/device/authorize",
data=json.loads(r'''{
"client_id": "YOUR_CLIENT_ID",
"scope": "openid offline_access",
"resource": "YOUR_REGISTERED_RESOURCE_URI"
}'''),
timeout=30,
)
response.raise_for_status()
print(response.json())
| Status | Meaning | Schema |
|---|---|---|
200 | Successful Response | OAuthDeviceAuthorizationResponse |
400 | OAuth request or grant error | OAuthErrorResponse |
401 | Client authentication or bearer-token error | OAuthErrorResponse |
403 | Subject token has insufficient scope | OAuthErrorResponse |
422 | Validation Error | HTTPValidationError |
429 | Device Authorization rate limit exceeded | OAuthRateLimitResponse |
{
"device_code": "string",
"user_code": "string",
"verification_uri": "string",
"verification_uri_complete": "string",
"expires_in": 1,
"interval": 1
}
POST Discover capabilities · POST Inspect capabilities · POST Probe a capability · POST Call a capability
Was this page helpful?